// Function to generate a random RGB color
function generateRandomColor() {
    const red = Math.floor(Math.random() * 256);
    const green = Math.floor(Math.random() * 256);
    const blue = Math.floor(Math.random() * 256);
    return `rgb(${red}, ${green}, ${blue})`;
}

// Function to start a new round of the game
function newRound() {
    const targetColor = generateRandomColor();
    document.getElementById('targetColor').value = targetColor;

    // Generate three incorrect color options
    const options = [targetColor];
    while (options.length < 4) {
        const randomColor = generateRandomColor();
        if (!options.includes(randomColor)) {
            options.push(randomColor);
        }
    }

    // Shuffle the options array
    for (let i = options.length - 1; i > 0; i--) {
        const j = Math.floor(Math.random() * (i + 1));
        [options[i], options[j]] = [options[j], options[i]];
    }

    // Populate the buttons with the color options
    const buttonOptionsElement = document.getElementById('buttonOptions');
    buttonOptionsElement.innerHTML = '';
    options.forEach((color, index) => {
        const button = document.createElement('button');
        button.style.backgroundColor = color;
        button.setAttribute('onclick', `checkColor(${index})`);
        buttonOptionsElement.appendChild(button);
    });
}

// Function to check if the selected color is correct
function checkColor(index) {
    const targetColor = document.getElementById('targetColor').value;
    const selectedColor = document.getElementById('buttonOptions').children[index].style.backgroundColor;

    if (selectedColor === targetColor) {
        // Correct guess, update score
        const scoreElement = document.getElementById('score');
        scoreElement.textContent = parseInt(scoreElement.textContent) + 1;
    }

    // Start a new round
    newRound();
}

// Start the first round when the page loads
document.addEventListener('DOMContentLoaded', function () {
    newRound();

    // Set up a timer (60 seconds in this case)
    let timeLeft = 60;
    const timeLeftElement = document.getElementById('timeLeft');
    const timerInterval = setInterval(function () {
        timeLeft--;
        timeLeftElement.textContent = timeLeft;

        if (timeLeft === 0) {
            // Game over, you can add any logic here
            clearInterval(timerInterval);
            alert('Game over! Your final score is ' + document.getElementById('score').textContent);
        }
    }, 1000);
});

function restartGame() {
    location.reload()
}

function startGame() {
    document.querySelector('.landing-page').style.display = "none";
    document.querySelector('.container').style.display = "";
}